The Firesong DLC and Update 36 base game patch are now available to test on the PTS! You can read the latest patch notes here: https://forums.elderscrollsonline.com/en/categories/pts
Maintenance for the week of September 26:
• PC/Mac: No maintenance – September 26

LibAddonMenu-2.0 Bugging my Game

Dirtybyrd
Dirtybyrd
✭✭✭✭
While I have Libaddonmenu 2.0 active I can not sell blueprints or other items like that I have to right click on them..
I also can not craft furnishings it just show them but it will not allow me to craft them
And there is other things...

Is there a fix for this or a replacement for the addon?

Thank you
Dirtybyrd
  • M0R_Gaming
    M0R_Gaming
    ✭✭✭
    LibAddonMenu2 is (probably) the most widely used library, and so far it has not caused any issues like that for me. Are you sure it is the issue? Try deselecting all of your addons in chunks to see if any of them may be causing the issue instead.
    If you have confirmed that it is LibAddonMenu2, then do you have the latest version installed?

    Does one of your addons maybe use an older version of it inside of said addons folder? (Some old addons do that, where they include the library with the addon, and this can cause some issues). If it does, then you can safely delete the libaddonmenu2 that is bundled with the addon in question.

    If all else fails, try also asking in LibAddonMenu's comment section, the addon author will check there most often.
    Edited by M0R_Gaming on September 20, 2021 11:58PM
    PC/NA - PvP/PvE AD Magsorc main
    Former Emp, vAS+2, vSS HM
    My addons
    PvP Addons - Artaeum Group Tool | Better Scoreboard | Request Deathmatch
    PvE Addons - Gear Tracker
    Other Addons - Simple Vote | Omni Stats
  • Baertram
    Baertram
    ✭✭✭✭
    Does one of your addons maybe use an older version of it inside of said addons folder? (Some old addons do that, where they include the library with the addon, and this can cause some issues). If it does, then you can safely delete the libaddonmenu2 that is bundled with the addon in question.

    I bet it is this!
    I's not the lib causing the bugs but youa re using older addons including the lib, or any other, in a "libs" (or similar) subfolder.
    Check ALL your addon's subfolders.
    If there are any Lib* subfolders check if the libs in there are installable via Minion.
    If so: Do so once! And keep them updated via Minion.

    Important:
    Delete the "libs" subfolder of these libs you ave installed via Minion from the addons subfolders!
    Write to the addons comments at www.esoui.com (-> addon search the name -> comments section) that the included libs should be removed AND the dependencies list in the addon#s txt file (called "manifest") needs to be updated to use the newest versions of the libs.
    As alternative the addon devs can include the libs BUT must include the newest version AND their txt file (e.g. LibAddonMenu-2.0.txt) AND NOT load the .lua files from the addon's txt file anymore -> called "hardcoded calls". These hardcoded calls will always load older version code even if the game would refuse to load these older versions as you got a newer version installed at live/AddOns/LibAddonMenu-2.0.

    You can read about all that here:
    https://wiki.esoui.com/Libraries#Providing_libraries_.28standalone_.2F_bundled_with_addon.2C_but_how.3F.29

    In the end it's often due to addon devs "not knowing/understanding libraries", "not caring" (doh!) or as they left the game "not updating" anymore :'(
Sign In or Register to comment.